*{
    box-sizing: border-box;
}

html {
    height: 100%;
}

body{
    background-color: white;
    background-image: url("../images/loginLaptop.png");
    background-position: 0 -0%;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: "Funnel Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    width: 100%;
    height: 100%;
}

div{
    background-color: #ffad94;
    margin: auto;
    margin-bottom: 0px;
    margin-left: 0px;
    width: 30%;
    height: 100%;
    min-height: fit-content;
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    border-right: solid 1px #693423;
}

h1{
    font-size: 3rem;
    margin-bottom: 0px;
    color: #361b12;
}

h2{
    font-weight: 100;
    color: rgba(0, 0, 0, 0.605);
}

p{
    width: 80%;
    display: flex;
    font-size: 1.1rem;
    color: rgb(74, 0, 12);
    justify-content: center;
    align-items: center;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 5px;
    padding-left: 5px;
    border-radius: 10px;
    background: linear-gradient(90deg, rgb(254, 20, 59), rgb(255, 33, 99));
}

p i{
    margin-right: 10px;
}

form{
    width: 80%;
    display: flex;
    height: fit-content;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 40px;
}

input{
    position: relative;
    margin: auto;
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 5px;
    padding-left: 5px;
    font-size: 1.3rem;
    border-radius: 10px;
    border-style: solid;
    border-width: 1px;
    border-color: #693423;
    font-weight: 100;
    font-family: "Funnel Sans", sans-serif;
    margin-bottom: 30px;
    z-index: 0;
    overflow: visible;
}

label{
    font-size: 1.3rem;
    font-weight: 100;
    color: rgba(0, 0, 0, 0.605);
    margin: auto;
    margin-left: 0;
    margin-bottom: 5px;
}

a{
    position: relative;
    margin: auto;
    margin-left: 0px;
    text-decoration: none;
    font-weight: bold;
    color: #361b12;
    z-index: 0;
    margin-bottom: 10px;
}

a::before{
    content: '';
    width: 100%;
    background-color: #361b12;
    height: 10px;
    z-index: 10;
}

hr{
    border-color: #361b12;
    width: 70%;
    border-width: 1px;
}

button{
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 5px;
    padding-left: 5px;
    font-size: 1.3rem;
    font-family: "Funnel Sans", sans-serif;
    border: 1px solid #361b12;
    border-radius: 10px;
    background-color: black;
    color: white;
    font-weight: 700;
    margin-top: 60px;
    transition: 0.2s;
    cursor: pointer;
}

button i{
    margin-right: 10px;
}

button:hover{
    background-color: white;
    color: rgb(255, 81, 81);;
}

#createAccount{
    margin-top: 10px;
    width: 80%;
    background: rgb(255, 81, 81);
    color: black;
}

#createAccount:hover{
    background-color: black;
    color: rgb(255, 81, 81);
}

@media(max-width: 600px)
{
    body{
        background-position: center;
        backdrop-filter: blur(2px);
        backdrop-filter: brightness(75%);
        background-size: cover;
    }
    div{

        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        width: 80%;
        height: fit-content;
        z-index: 20;
        margin: auto;
        border: 1px solid #693423;
        border-radius: 20px;
        justify-content: center;
        align-items: center;

        padding-top: 20px;
        padding-bottom: 20px;
    }


    h1{
        margin-top: 0px;
    }

    form{
        width: 90%;
    }

    form button{
        margin-top: 0px;
    }

    #createAccount{
        width: 90%;
    }

    button, label, input{
        font-size: 1rem;
    }
}


